package org.seasar.quartz;

import org.quartz.JobDetail;
import org.quartz.Scheduler;

public class MethodInvokingJobDetail extends JobDetail {

    public MethodInvokingJobDetail() {
	setGroup(Scheduler.DEFAULT_GROUP);
	setJobClass(MethodInvokingJob.class);
	setVolatility(true);
    }

    public void setComponent(Object component) {
	getJobDataMap().put(QuartzConstants.COMPONENT, component);
    }

    public void setMethodName(String methodName) {
	getJobDataMap().put(QuartzConstants.METHOD_NAME, methodName);
    }

    public void setStateful(boolean stateful) {
	setJobClass(stateful ? StatefulMethodInvokingJob.class : MethodInvokingJob.class);
    }
}
