package org.seasar.quartz;

import junit.framework.TestCase;

public class MethodInvokingJobDetailTest extends TestCase {

    public void testConstructor() {
	MethodInvokingJobDetail methodInvokingJobDetail = new MethodInvokingJobDetail();
	assertEquals("DEFAULT", methodInvokingJobDetail.getGroup());
	assertEquals(MethodInvokingJob.class, methodInvokingJobDetail.getJobClass());
	assertTrue(methodInvokingJobDetail.isVolatile());
    }

    public void testSetComponent() {
	Object component = new Object();
	MethodInvokingJobDetail methodInvokingJobDetail = new MethodInvokingJobDetail();
	methodInvokingJobDetail.setComponent(component);
	assertEquals(component, methodInvokingJobDetail.getJobDataMap().get("org.seasar.quartz.component"));
    }

    public void testSetMethodName() {
	MethodInvokingJobDetail methodInvokingJobDetail = new MethodInvokingJobDetail();
	methodInvokingJobDetail.setMethodName("testMethod");
	assertEquals("testMethod", methodInvokingJobDetail.getJobDataMap().getString("org.seasar.quartz.methodName"));
    }

    public void testSetStateful() {
	MethodInvokingJobDetail methodInvokingJobDetail = new MethodInvokingJobDetail();
	methodInvokingJobDetail.setStateful(true);
	assertEquals(StatefulMethodInvokingJob.class, methodInvokingJobDetail.getJobClass());

	methodInvokingJobDetail.setStateful(false);
	assertEquals(MethodInvokingJob.class, methodInvokingJobDetail.getJobClass());
    }
}
